const ballAmount = 10; // Missende hoofdletter
let balls = [];

let client;
let connect;

function setup() {
  createCanvas(innerWidth, innerHeight);

  initOSC();
  
  background(200); // Typo
  frameRate(30);
  
  for (let i = 0; i < ballAmount; i++) { // Array begint vanaf 0
    balls[i] = new Ball(i);
  }

  windowResized();
}

function draw() {
  background(200);
  for (let i = 0; i < ballAmount; i++) {
    balls[i].draw();
    balls[i].move();
  }
}

function mousePressed() {
  for (let i = 0; i < ballAmount; i++) {
    balls[i].mousePressed();
  }
}
function windowResized() {
  resizeCanvas(innerWidth, innerHeight);
  for (let i = 0; i < ballAmount; i++) {
    balls[i].resize(); // resise moet resize zijn
  }
}
function initOSC(){
  connect = new Connect(); // '-' in plaats van een '='

  connect.connectToServer(function () {
    client = new Client();

    client.startClient("127.0.0.1", 9000);
  });
}